#!/bin/bash
apt-cache policy iq-* > /tmp/iq-packages-info && mosquitto_pub -r -t /iq/bridge/upgrade/package_versions -q 2 -f /tmp/iq-packages-info
mosquitto_pub -t /iq/bridge/upgrade/status -q 1 -r -m "Ожидаем с $(date) // $(systemd --version | head -n 1)"
TYPE=$(mosquitto_sub -t /iq/bridge/upgrade -R -C 5)

mosquitto_pub -t /iq/bridge/upgrade/status -q 1 -r -m "$(date) Обновляем..."
apt-get update && mosquitto_pub -t /iq/bridge/upgrade/status -q 1 -r -m "Получены списки пакетов $(date)" || exit

if [[ $TYPE == *"unsafe"* ]]; then
    mosquitto_pub -t /iq/bridge/upgrade/status -q 1 -r -m "Обновление ПО через apt-get $(date)" || exit
    apt-get install -y --download-only iq-iqnergy-software-installer && \
    mosquitto_pub -t /iq/bridge/upgrade/status -q 1 -r -m "Загружено ПО IQnergy $(date)" || exit

    apt-get install -y iq-iqnergy-software-installer && \
    mosquitto_pub -t /iq/bridge/upgrade/status -q 1 -r -m "Установлено новое ПО $(date)" || exit

    apt-get -y clean
elif [[ $TYPE == *"safe"* ]]; then
    mosquitto_pub -t /iq/bridge/upgrade/status -q 1 -r -m "Обновление ПО через unattended-upgrade $(date)" || exit
    unattended-upgrade && \
    mosquitto_pub -t /iq/bridge/upgrade/status -q 1 -r -m "Установлено новое ПО $(date)" || exit
else
    mosquitto_pub -t /iq/bridge/upgrade/status -q 1 -r -m "Команда не распознана $(date)" || exit
fi
